(function ($) {
	'use strict';

	$(document).ready(
		function () {
			qodefMobileHeader.init();
		}
	);

	/*
	 **	Init mobile header functionality
	 */
	var qodefMobileHeader = {
		init                  : function () {
			var $holder = $('#qodef-page-mobile-header');

			if ($holder.length) {
				qodefMobileHeader.initMobileHeaderOpener($holder);
				qodefMobileHeader.initDropDownMobileMenu();
			}
		},
		initMobileHeaderOpener: function ($holder) {
			var $opener = $holder.find('.qodef-mobile-header-opener');

			if ($opener.length) {
				var $navigation = $holder.find('.qodef-mobile-header-navigation');

				$opener.on(
					'tap click',
					function (e) {
						e.preventDefault();

						if ($navigation.is(':visible')) {
							$navigation.slideUp(450);
							$opener.removeClass('qodef--opened');
						} else {
							$navigation.slideDown(450);
							$opener.addClass('qodef--opened');
						}
					}
				);
			}
		},
		initDropDownMobileMenu: function () {
			var $dropdownOpener = $('.qodef-mobile-header-navigation .menu-item-has-children > .qodef-menu-item-arrow, .qodef-mobile-header-navigation .menu-item-has-children.qodef--hide-link > a');

			if ($dropdownOpener.length) {
				$dropdownOpener.each(
					function () {
						var $thisItem = $(this);

						$thisItem.on(
							'tap click',
							function (e) {
								e.preventDefault();

								var $thisItemParent = $thisItem.parent(),
									$thisItemParentSiblingsWithDrop = $thisItemParent.siblings('.menu-item-has-children');

								if ($thisItemParent.hasClass('menu-item-has-children')) {
									var $submenu = $thisItemParent.find('ul.sub-menu').first();

									if ($submenu.is(':visible')) {
										$submenu.slideUp(450);
										$thisItemParent.removeClass('qodef--opened');
									} else {
										$thisItemParent.addClass('qodef--opened');

										if ($thisItemParentSiblingsWithDrop.length === 0) {
											$thisItemParent.find('.sub-menu').slideUp(
												400,
												function () {
													$submenu.slideDown(400);
												}
											);
										} else {
											$thisItemParent.siblings().removeClass('qodef--opened').find('.sub-menu').slideUp(
												400,
												function () {
													$submenu.slideDown(400);
												}
											);
										}
									}
								}
							}
						);
					}
				);
			}
		}
	};

})(jQuery);
